<?php

App::uses('AppComponent', 'Controller/Component');

class GatewayBaseComponent extends AppComponent {

	/**
	 * process the amount value of setupPayment
	 *
	 * @param 	array|float 	$amount 	Either array of amount / currency code or just the amount
	 * @return 	array
	 */
	public function processAmount($amount) {
		if (! is_array($amount)) {
			$amount = array(
				'amount' => $amount,
				'currency' => $this->_config['currency']
			);
		}

		return $amount;
	}
}
